<?php
//include our MaltegoTDS class(es)
include_once("Maltego.php");

//set return content-type to be XML
header ("content-type: text/xml");

$maltegoInput = new MaltegoTransformInput();
$maltegoTransform = new MaltegoTransformResponse();

if ($maltegoInput->getEntity())
{
	//get the details into local variables
	$entityValue = $maltegoInput->value;
	$entityWeight = $maltegoInput->weight;
	$entityType = $maltegoInput->type;
	$entityAdditionalFields = $maltegoInput->additionalFields;
	
	//easy entity
	$maltegoTransform->addEntity("maltego.Domain","test.com");
	
	//complex entity
	$ent = $maltegoTransform->addEntity("maltego.Phrase","'test phrase'");
	$ent->setWeight(50);
	$ent->setDisplayInformation("this is a more complex entity addition");
	$ent->setIconURL("http://www.paterva.com/web5/img/chicken.png");
	
	//complex entity based on input
	//swap firstname and lastname around for a person
	$ent = $maltegoTransform->addEntity("maltego.Person","'test phrase'");
	$ent->setWeight(50);
	$ent->setDisplayInformation("firstname and lastname reversed!");
	$ent->addAdditionalFields("firstname","First Names","strict",$maltegoInput->additionalFields["lastname"]);
	$ent->addAdditionalFields("lastname","Surname","strict",$maltegoInput->additionalFields["firstname"]);
	
	
	
	//return output
	$maltegoTransform->returnOutput();
	
}
else
{
	$maltegoTransform->addException("No input entity found");
	$maltegoTransform->throwExceptions();
}
?>